Bug 201166 - [PATCH] mail/roundcube: please update to 1.1.2
Summary: [PATCH] mail/roundcube: please update to 1.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alex Dupre
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-06-28 11:22 UTC by VK
Modified: 2015-07-08 14:45 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ale)


Attachments
mail/roundube Makefile and distinfo update for 1.1.2 (931 bytes, patch)
2015-06-28 11:22 UTC, VK
no flags Details | Diff
Poudriere log for roundcube-1.1.2,1 on FreeBSD 10.1 (18.87 KB, text/x-log)
2015-07-08 01:51 UTC, Jason Unovitch
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description VK freebsd_triage 2015-06-28 11:22:42 UTC
Created attachment 158124 [details]
mail/roundube Makefile and distinfo update for 1.1.2

Roundcube has released version 1.1.2, carrying some security fixes as well:

https://roundcube.net/news/2015/06/05/updates-1.1.2-and-1.0.6-released/

With the attached patch (against revision 390719) the port builds, but I haven't yet tested updating in production.
Comment 1 Jason Unovitch freebsd_committer 2015-07-06 16:45:40 UTC
Hop on the CC list.  The folks at SUSE have requested CVE's for the Roundcube security issues.  Let's keep an eye on that so we are covered down in the documentation.  http://openwall.com/lists/oss-security/2015/07/06/10
Comment 2 Jason Unovitch freebsd_committer 2015-07-08 01:51:29 UTC
Created attachment 158520 [details]
Poudriere log for roundcube-1.1.2,1 on FreeBSD 10.1

VuXML already done in:
https://svnweb.freebsd.org/ports?view=revision&revision=391505

Also tested on the following:
8.4-RELEASE-p31      amd64
8.4-RELEASE-p31      i386
9.3-RELEASE-p17      amd64
9.3-RELEASE-p17      i386
10.1-RELEASE-p14     amd64
10.1-RELEASE-p14     i386
11.0-CURRENT r284725 amd64
11.0-CURRENT r284725 i386
Comment 3 commit-hook freebsd_committer 2015-07-08 06:09:41 UTC
A commit references this bug:

Author: ale
Date: Wed Jul  8 06:08:59 UTC 2015
New revision: 391546
URL: https://svnweb.freebsd.org/changeset/ports/391546

Log:
  Update to 1.1.2 release.

  PR:		201166
  Submitted by:	Vlad K. <vlad-fbsd@acheronmedia.com>

Changes:
  head/mail/roundcube/Makefile
  head/mail/roundcube/distinfo
Comment 4 commit-hook freebsd_committer 2015-07-08 14:45:12 UTC
A commit references this bug:

Author: feld
Date: Wed Jul  8 14:44:17 UTC 2015
New revision: 391566
URL: https://svnweb.freebsd.org/changeset/ports/391566

Log:
  MFH: r391546

  Update to 1.1.2 release.

  PR:		201166
  Submitted by:	Vlad K. <vlad-fbsd@acheronmedia.com>
  Approved by:	ports-secteam (with hat)
  Security:	038a5808-24b3-11e5-b0c8-bf4d8935d4fa
  Security:	CVE-2015-5381
  Security:	CVE-2015-5383

Changes:
_U  branches/2015Q3/
  branches/2015Q3/mail/roundcube/Makefile
  branches/2015Q3/mail/roundcube/distinfo